Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.TreeIncrementAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicTreeUI.TreeIncrementAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.TreeIncrementAction
    extends AbstractAction

TreeIncrementAction is used to handle up/down actions. Selection is moved up or down based on direction.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected int` | `direction` | Specifies the direction to adjust the selection by.

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TreeIncrementAction​(int direction, String name)` | Constructs a new instance of `TreeIncrementAction`.

## Method Summary

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

### Methods declared in interface java.awt.event.ActionListener

`actionPerformed`

## Field Details

### direction

protected int direction
Specifies the direction to adjust the selection by.

## Constructor Details

### TreeIncrementAction

public TreeIncrementAction​(int direction, String name)
Constructs a new instance of `TreeIncrementAction`.

Parameters:
  `direction` - the direction
  `name` - the name of action